Skip to main content
PUT
Update a draft flow

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Headers

Idempotency-Key
string

Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.

Maximum string length: 255

Path Parameters

flow
string
required

Flow uuid or Meta flow id.

Body

application/json
name
string
required
Maximum string length: 200
categories
string[]
required
Minimum array length: 1
Maximum string length: 64
flow_json
any
required

The Flow JSON document, as an object or string.

data_endpoint_uri
string

Must be https.

Maximum string length: 2048
public_key
string
Maximum string length: 8192

Response

The updated flow.

uuid
string
name
string
status
string
categories
string[]
provider_flow_id
string | null
version
string | null
data_endpoint_uri
string | null
endpoint_health
object
flow_json
any

The Flow JSON document.

published_at
string<date-time> | null
created_at
string<date-time> | null